---
- name: Create vault folder
  ansible.builtin.file:
    path: /opt/vault
    state: directory
    owner: root
    group: root
    mode: "0755"

- name: Create config file from template
  ansible.builtin.template:
    src: vault.hcl.j2
    dest: /opt/vault/vault.hcl
    owner: root
    group: root
    mode: "0644"

- name: Allow connections on 8200, 8201 port
  ansible.builtin.iptables:
    chain: INPUT
    protocol: tcp
    destination_ports:
      - 8200
      - 8201
    jump: ACCEPT

- name: Start Hashicorp Vault in docker
  community.docker.docker_container:
    image: vault:1.12.2
    name: vault
    restart_policy: always
    log_driver: "json-file"
    log_options:
      max-size: 1G
    volumes:
      - "/opt/vault/vault.hcl:/vault/config/vault.hcl"
    ports:
      - "8200:8200"
      - "8201:8201"
    capabilities:
      - IPC_LOCK
    command: server
#  become: true
